> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Change bank data

> Updates the accounting data of the given customer. As these attributes are all local (see definition at /v3/master_data/changes) we can update directly without issuing the DSO. This request works as a transaction and changes whether all or none of the attributes.



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/master_data/changes/bank_data/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/bank_data/:
    post:
      tags:
        - master_data
      summary: Change bank data
      description: >-
        Updates the accounting data of the given customer. As these attributes
        are all local (see definition at /v3/master_data/changes) we can update
        directly without issuing the DSO. This request works as a transaction
        and changes whether all or none of the attributes.
      operationId: master_data_changes_bank_data_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeBankData'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ChangeBankData'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ChangeBankData'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeIdResponse'
              examples:
                CreatedExample:
                  value:
                    change_id: 123
                  summary: Change request have been created
          description: Change process created
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                FailedFirstNameValidation:
                  value:
                    bank_data_first_name: bank data first name is required for private consumer
                  summary: Failed first name validation
                FailedIBANValidation:
                  value:
                    bank_data_iban: IBAN is not correct.
                  summary: Failed IBAN validation
                FailedBICValidation:
                  value:
                    bank_data_bic: BIC is not correct
                  summary: Failed BIC validation
                FailedSepaDateValidation:
                  value:
                    sepa_date: the sepa_date must be in past or today
                  summary: Failed sepa date validation
                FailedSepaDateValidationForDirectDebit:
                  value:
                    sepa_date: 'Required for payment_method: direct_debit'
                  summary: Failed sepa date validation for direct_debit
                FailedPaymentMethodValidation:
                  value:
                    payment_method: Not supported by salespartner <salespartner_id>
                  summary: Failed payment method validation
                FailedMasketCreditCardValidation:
                  value:
                    masked_credit_card: field is required for payment method.
                  summary: Failed masket credit card validation
                FailedMasketCreditCardPatternValidation:
                  value:
                    masked_credit_card: does not match expected pattern
                  summary: Failed masket credit card pattern validation
                FailedMasketCreditCardNumberDigitsValidation:
                  value:
                    masked_credit_card: number of digits at end of number must be between 2 and 4
                  summary: Failed masket credit card number digits validation
                FailedMasketCreditEndStringValidation:
                  value:
                    masked_credit_card: only the end of the string may contain digits
                  summary: Failed masket credit end string validation
                FailedCardValidityDateValidation:
                  value:
                    credit_card_validity_date: >-
                      Date has wrong format. Use one of these formats instead:
                      YYYY-MM
                  summary: Failed card validity date validation
                FailedCardValidityDateFutureValidation:
                  value:
                    credit_card_validity_date: date must be in the future
                  summary: Failed card validity date future validation
          description: ''
components:
  schemas:
    ChangeBankData:
      type: object
      description: |-
        Serializer for the /v3/master_data/changes/bank_data/ endpoint.
        you need to set "salespartner" context
      properties:
        masked_credit_card:
          type: string
          maxLength: 16
        credit_card_validity_date:
          type: string
          format: date
        sepa_date:
          type: string
          format: date
        sepa_reference:
          type: string
        payment_method:
          $ref: '#/components/schemas/PaymentMethodEnum'
        customer_id:
          type: string
        contract_id:
          type: string
        is_consumer:
          type: boolean
        bank_data_iban:
          type: string
        bank_data_bic:
          type: string
        bank_data_first_name:
          type: string
        bank_data_last_name:
          type: string
      required:
        - bank_data_first_name
        - bank_data_last_name
        - contract_id
        - customer_id
        - is_consumer
        - payment_method
    ChangeIdResponse:
      type: object
      properties:
        change_id:
          type: integer
          description: identifier for change process
      required:
        - change_id
    PaymentMethodEnum:
      enum:
        - credit_card_display_only
        - direct_debit
        - bank_transfer
        - credit_card
        - no_payment_method
      type: string
      description: |-
        * `credit_card_display_only` - Kreditkarte (nur Anzeige)
        * `direct_debit` - SEPA Einzugsermächtigung
        * `bank_transfer` - Überweisung
        * `credit_card` - Kreditkarte
        * `no_payment_method` - Keine Zahlmethode

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.